Show / Hide Table of Contents

# Struct MiragePrismPrismBoxData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MiragePrismPrismBoxData

### Fields

| Improve this Doc View Source

#### AgentCabinet

##### Declaration

    public void *AgentCabinet

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### AgentMiragePrismMiragePlate

##### Declaration

    public void *AgentMiragePrismMiragePlate

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### CrystallizeCategory

##### Declaration

    public int CrystallizeCategory

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CrystallizeItemCount

##### Declaration

    public int CrystallizeItemCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CrystallizeItemIndex

##### Declaration

    public int CrystallizeItemIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CrystallizeItems

##### Declaration

    public byte *CrystallizeItems

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### CrystallizeSelectedItem

##### Declaration

    public PrismBoxCrystallizeItem CrystallizeSelectedItem

##### Field Value

Type | Description
--- | ---
PrismBoxCrystallizeItem |

| Improve this Doc View Source

#### FilterFlags

##### Declaration

    public uint FilterFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FilterGender

##### Declaration

    public byte FilterGender

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FilterLevel

##### Declaration

    public byte FilterLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FilterString

##### Declaration

    public Utf8String FilterString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### PageItemIndexArray

##### Declaration

    public int *PageItemIndexArray

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### PrismBoxItems

##### Declaration

    public byte *PrismBoxItems

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### SearchString

##### Declaration

    public Utf8String SearchString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### SelectedPageIndex

##### Declaration

    public int SelectedPageIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TempContextItem

##### Declaration

    public PrismBoxItem TempContextItem

##### Field Value

Type | Description
--- | ---
PrismBoxItem |

| Improve this Doc View Source

#### TempContextItemIndex

##### Declaration

    public int TempContextItemIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UsedSlots

##### Declaration

    public int UsedSlots

##### Field Value

Type | Description
--- | ---
System.Int32 |